petsc-3.6.2 2015-10-02
Report Typos and Errors

# MatCreateSeqDense

Creates a sequential dense matrix that is stored in column major order (the usual Fortran 77 manner). Many of the matrix operations use the BLAS and LAPACK routines.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatCreateSeqDense(MPI_Comm comm,PetscInt m,PetscInt n,PetscScalar *data,Mat *A)

Collective on MPI_Comm

### Input Parameters

| comm | - MPI communicator, set to PETSC_COMM_SELF
| m | - number of rows
| n | - number of columns
| data | - optional location of matrix data in column major order. Set data=NULL for PETSc to control all matrix memory allocation.

### Output Parameter

A -the matrix

### Notes

The data input variable is intended primarily for Fortran programmers who wish to allocate their own matrix memory space. Most users should set data=NULL.

### Keywords

dense, matrix, LAPACK, BLAS

### See Also

MatCreate(), MatCreateDense(), MatSetValues()

Level:intermediate
Location:src/mat/impls/dense/seq/dense.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ts/examples/tutorials/extchem.c.html
src/tao/leastsquares/examples/tutorials/chwirut1.c.html